Do a set of inter account transfers

The transfers are processed atomically (synchronously) or one by one in the background. For atomic, all fail or all succeed. For non atomic, they are processed one by one in the background and some may fail and some may succeed. The results for non atomic are sent by email to the caller. toWalletId and amount are required. Unique Id can optionally be used as a means of ensuring transactions cannot be duplicated. The unique Id must be globally unique in the system. If not provided the backend will assign a GUID for you. The fromWalletId is the source wallet for all the transfers in the list. For non-atomic, the result includes a bulkTransferId that can be used to GET the status of the transfers (progress, etc)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
int64
required
Query Params
boolean
Defaults to true

Do all transfers in one atomic transaction (default). Atomic max batch size 500. Non atomic 500000

string

When the callbackUrl is specified, and atomic is set to false, the transfer results will be forwarded to the designated URL

Body Params
Responses

400

Bad Request

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json